commit:     09634b590d186e741b8d6c5be6bc69e730cfb506
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 20 05:16:13 2015 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sun Dec 20 05:16:13 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09634b59

dev-python/botocore: add version 1.3.14

Package-Manager: portage-2.2.26

 dev-python/botocore/Manifest               |  1 +
 dev-python/botocore/botocore-1.3.14.ebuild | 54 ++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 3ce19ec..b1c86a5 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,4 +1,5 @@
 DIST 1.1.11.tar.gz 1975224 SHA256 
b4e6edc12177dd4f720259aa7027bab00fb9db2029e40e77e67c552ef9f41132 SHA512 
b0b10299d93314de582cfd21511987fe210df1618c49f6c706c4341a3a635a85cd48d8848a69f83391a227ab5dc3881509a02b4cc47b1e27d18cf353d4de850b
 WHIRLPOOL 
21e662fe7f713a98e5e16225e3860585f0abb8e4a47b5f0ae52262a929a32ce563e1108c80602c9c2136180957c1b8bb4b89d8b9fc84415c155212d326f08b90
 DIST botocore-1.2.10.tar.gz 2202147 SHA256 
8541895aa2abe2183fa15efe33794db7428fec3302e0c9bf1db13fa1668e2b66 SHA512 
5395776f50c5302d2fa75af702ced17da66a4c0435d62aed907f1ceaa93d38acc2d91a250d2153d852239a08d9f7f0bf361523cc89168a6cb81ef6f8a6ec5124
 WHIRLPOOL 
aa4ff7a2aa1a900642782783b85479943bcce85c7df0c056d989d329c0693424110859a1d9d358e0cc5af94be174c96786c2f339e78934c114011606dfce11ec
 DIST botocore-1.3.0.tar.gz 2224783 SHA256 
b93f113b40b048a1f636f96797c14d2f5b3e5d112e8a030f2b9fa8b15a16d38c SHA512 
8aae8d1e3b162969135778c91dedf672e934dce39fffc364c259f1695d28c2910e6e29dc11c264c287328c9d0ba71455ec7e31894fca03a237cb40464b7e47ba
 WHIRLPOOL 
0f0e311223553b70201fad6a0d6f77865bfb7d1800b39ceffbcd8b0463540bbd4380bbc24e83dbdec1e605e94867ecb6bfdddef432a7455297e3f1b4be2d3592
+DIST botocore-1.3.14.tar.gz 2289202 SHA256 
44904496f26370f47469327e5df10e439aa07aaf1c0516c7c67352337eeeb729 SHA512 
7cf1a342271b02842c5d989fa4ac2bb02074f8ff18dda70c751857f44b83e2ce02c904f0484a05f274bcb9459bf580e0456b72554e87509b2f2529170a239362
 WHIRLPOOL 
efa0d700bdd7e9803be63fc3a54fffb4234356769b1dea69bf93c974deb9a3a3438d88de004dce6a0c83390042fb8f2b822d9204f6727eceb5aee657c22c6a98
 DIST botocore-1.3.2.tar.gz 2243332 SHA256 
af8176c95244bd9195afb4cf2a2c21a605e884cf6886889c6d983d2adda844ad SHA512 
e68288c0f9aae3e30814df3a5562e503d6affc238d74f2a2c8c7e1796f3a1d49bf3408befd9aeb8753d81944118cff7af61ba7db57881f51ca07378fd0d1ec4d
 WHIRLPOOL 
adfdef5696e2f3d95626f2b474fe616db5a3874bbfdacb33ed69260dc66c9c62c86016fe9f102272ef012d1b0ec64a1ebe9f0502830c6648be959cf1b8fd7739

diff --git a/dev-python/botocore/botocore-1.3.14.ebuild 
b/dev-python/botocore/botocore-1.3.14.ebuild
new file mode 100644
index 0000000..a94cfed
--- /dev/null
+++ b/dev-python/botocore/botocore-1.3.14.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="Low-level, data-driven core of boto 3."
+HOMEPAGE="https://github.com/boto/botocore";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="
+       >=dev-python/docutils-0.10[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       <dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+       <dev-python/python-dateutil-3.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/guzzle_sphinx_theme-0.7.10[${PYTHON_USEDEP}]
+               <dev-python/guzzle_sphinx_theme-0.8[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.3[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${CDEPEND}
+               ~dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       nosetests tests/unit || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to